Package com.microsoft.sqlserver.jdbc.spatialdatatypes

# Class WKBPoint

java.lang.Object
com.microsoft.sqlserver.jdbc.spatialdatatypes.WKBPoint

public class WKBPoint extends Object
Represents the internal makings of a WKB Point.

## Constructor Summary

Constructors
Constructor
Description
`WKBPoint​(double x, double y)`
Creates a WKB Point object

## Method Summary

Modifier and Type
Method
Description
`double`
`getX()`
Returns the x coordinate value.
`double`
`getY()`
Returns the y coordinate value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WKBPoint

public WKBPoint​(double x, double y)
Creates a WKB Point object

Parameters:
  `x` - x value
  `y` - y value

## Method Details

### getX

public double getX()
Returns the x coordinate value.

Returns:
  double x coordinate value.

### getY

public double getY()
Returns the y coordinate value.

Returns:
  double y coordinate value.